#
# Makefile for webmailfolder
# created 1996/08/16 by Norbert Kuemin
#

# Configuration begins here
BINDIR= /usr/local/bin
MANDIR= /usr/local/man/man1
CC=gcc
LDFLAGS=
COPTS=-O2
CLIBDIR=-L../../compface
CINC=-I../../compface

#if you have/want face-support uncomment the two following lines
#FACELIB=-lcompface
#FACEDEF=-DFACES
# Configuration ends here

# Program initials
CONFIGFILE= \"~/.wmfrc\"
MBOXFILE= \"~/mbox\"
MAILCMD=\"mailto:\"
DIRECTORY=\"./\"
EXTENSION=\".html\"
NEWSUBJECTTHREAD=0	#0=False 1=True

# Program constants
PROGRAM=wmf
VERSION=1.0.5
PRG_NAME= \"WebMailFolder\"
PRG_VERSION= \"$(VERSION)\"
PRG_HREF= \"http://www.lugs.ch/lugs/mitglieder/norbert.kuemin/wmf.html\"

PINIT= -DWMF_CONFIG=$(CONFIGFILE) -DWMF_MBOX=$(MBOXFILE) -DWMF_MCMD=$(MAILCMD)\
 -DWMF_DIR=$(DIRECTORY) -DWMF_DEBUGLEVEL=0 -DWMF_EXTENSION=$(EXTENSION)

PCONST= -DNAME=$(PRG_NAME) -DVERSION=$(PRG_VERSION) -DHREF=$(PRG_HREF)

CDEFS= $(PINIT) $(PCONST) $(FACEDEF) -Wall
CLIB= $(FACELIB)
CFLAGS= $(COPTS) $(CDEFS) $(CINC)

# Only for debugging (Should be commented)
#CDEFS= -DDEBUG $(PINIT) $(PCONST) $(FACEDEF) -Wall
#CDEFS= -DDEBUG -DMALLOC $(PINIT) $(PCONST) $(FACEDEF) -Wall
#CLIB= $(FACELIB) -ldmalloc

OBJS=		wmf.o config.o mail.o file.o index.o html.o date.o sys.o mime.o

.c.o:
		$(CC) -c $(CFLAGS) $<

all:		wmf

wmf:	$(OBJS)
		$(CC) -o $(PROGRAM) $(CFLAGS) $(OBJS) $(CLIBDIR) $(CLIB)
		chmod 0755 $(PROGRAM)

$(OBJS):	Makefile wmf.h

install:
		install -cs -m 0755 $(PROGRAM) $(BINDIR)
		chmod 0644 ../doc/wmf.1
		chmod 0644 ../doc/wmfrc.1
		install -c -m 0644 ../doc/wmf.1 $(MANDIR)
		install -c -m 0644 ../doc/wmfrc.1 $(MANDIR)

clean:
		rm -f ./$(PROGRAM) *.o *~ core DEADJOE ../doc/*~ ../examples/*~ ../doc/DEADJOE

package: clean
		( cd ../.. ; tar -zcvf $(PROGRAM)-$(VERSION).tar.gz wmf )
